MM-COMMON-PREPARE(1)

NAME
mm-common-prepare - Prepare a C++ binding module to use mm-common and Autotools

SYNOPSIS
mm-common-prepare [OPTION]... [SOURCE-DIR]

DESCRIPTION
Run mm-common-prepare to copy the mm-common build support files into the source tree of a C++ binding module. The exact location these files will be copied to can be influenced through special macros in the configure.ac file.

AC_CONFIG_AUX_DIR([AUX-DIR])
    The Automake include files are placed into the AUX-DIR subdirectory of the top-level source directory. If AC_CONFIG_AUX_DIR is not specified, the files are placed at the top-level of the module's source tree.

MM_CONFIG_DOCTOOL_DIR([DOCTOOL-DIR])
    If the MM_CONFIG_DOCTOOL_DIR macro is called with an explicit DOCTOOL-DIR argument, the common utilities required for generating and installing the reference documentation of a C++ binding module will be copied to the named subdirectory. If MM_CONFIG_DOCTOOL_DIR is not used or does not specify a DOCTOOL-DIR argument, mm-common-prepare will not copy the documentation utility files into the module's source tree. Instead, it is assumed that the module depends on mm-common and can use the installed documentation utilities that come with it.

If no SOURCE-DIR argument has been specified on the command line, the current working directory will be used.

OPTIONS

-c, --copy
    copy files instead of creating symbolic links to them

-f, --force
    forcefully replace existing files or symbolic links

--help
    display a help message and exit

--version
    show version information and exit

EXIT STATUS
The exit status is 0 if OK, or 1 if an error occurred.

FILES
The build support files currently copied by mm-common-prepare are listed below.

Automake include files copied to AUX-DIR:
    compile-binding.am
    dist-changelog.am
    doc-reference.am
    generate-binding.am

Documentation utilities copied to DOCTOOL-DIR:
    doc-install.pl
    doc-postprocess.pl
    doxygen.css
    doxygen-extra.css
    tagfile-to-devhelp2.xsl

SEE ALSO
autoreconf(1), mm-common-get(1)
/usr/share/doc/mm-common/README
/usr/share/doc/mm-common/skeletonmm.tar.xz or
/usr/share/doc/mm-common/skeletonmm.tar.gz